Component({
  props: {
    steps: [],
    activeIndex: 0,
    onClick: () => {}
  },
  methods: {
    onClick(e) {
      const index = e.target.dataset.index || 0;
      const {
        steps = [],
        onClick
      } = this.props;
      onClick && onClick(steps[index], index);
    }

  }
});